# Orion root url
ORION_PORT = 1026
ORION_URL  = 'http://localhost:' +str(ORION_PORT) + '/v2/'

# Entities in Orion
PERSON  = 'Person'
VEHICLE = 'Vehicle'

ENTITY = (
    ( PERSON, 'Person' ),
    ( VEHICLE, 'Vehicle' ),
)

# Common fields
ID = 'id'

# Fields from Person
NAME        = 'givenName'
SURNAME     = 'familyName'
GENDER      = 'gender'
ADDRESS     = 'address'
NATIONALITY = 'nationality'
BIRTHDATE   = 'birthDate'
BIRTHPLACE  = 'birthPlace'
PARKINGCARD = 'parkingCard'

#Fields from Vehicle
BRAND       = 'brand'
FUELTYPE    = 'fuelType'
MODEL       = 'model'
FISCALPOWER = 'fiscalPower'
COLOR       = 'color'
OWNER       = 'owner'

ATTRIBUTE = (
    ( PERSON, (
        ( ID,          'identifier' ),
        ( NAME,        'name' ),
        ( SURNAME,     'surname' ),
        ( GENDER,      'gender' ),
        ( ADDRESS,     'address' ),
        ( NATIONALITY, 'nationality' ),
        ( BIRTHDATE,   'birthdate' ),
        ( BIRTHPLACE,  'birthplace' ),
        ( PARKINGCARD, 'parking card' ),
        )
    ),
    ( VEHICLE, (
        ( ID,          'identifier' ),
        ( BRAND,       'brand' ),
        ( FUELTYPE,    'fuel type' ),
        ( MODEL,       'model' ),
        ( FISCALPOWER, 'fiscal power' ),
        ( COLOR,       'color' ),
        ( OWNER,       'owner' ),
        )
    ),
)

CREATE = 'Create' 
READ   = 'Read'
UPDATE = 'Update'
DELETE = 'Delete'

TYPE = (
    ( CREATE, 'Create' ),
    ( READ,   'Read' ),
    ( UPDATE, 'Update' ),
    ( DELETE, 'Delete' ),
)

DIRECT    = 'Direct'
PROCESSED = 'Processed'

ACCESS_TYPE = (
    ( DIRECT,    'Direct' ),
    ( PROCESSED, 'Processed' ),
)
